<ServerManagerConfiguration>
    <ProxyGroup name="sources">
    <SourceProxy

        name="PV3FoamReader"
        class="vtkPV3FoamReader">

     <!-- File name - compulsory -->
        <StringVectorProperty
            name="FileName"
            command="SetFileName"
            number_of_elements="1">
            <FileListDomain
                name="files"/>
        </StringVectorProperty>

<!-- Time info sent to animation controls (top of window) -->

        <DoubleVectorProperty
            name="TimestepValues"
            information_only="1">
            <TimeStepsInformationHelper/>
            <Documentation>
                Available timestep values.
            </Documentation>
        </DoubleVectorProperty>

        <DoubleVectorProperty
            name="TimeRange"
            information_only="1">
            <TimeRangeInformationHelper/>
        </DoubleVectorProperty>

<!-- ExtrapolateWalls check box -->
        <IntVectorProperty
            name="ExtrapolateWalls"
            command="SetExtrapolateWalls"
            number_of_elements="1"
            default_values="0">
            <BooleanDomain
                name="bool"/>
        </IntVectorProperty>

<!-- Include sets check box -->
        <IntVectorProperty
            name="IncludeSets"
            command="SetIncludeSets"
            number_of_elements="1"
            default_values="0">
            <BooleanDomain
                name="bool"/>
        </IntVectorProperty>

<!-- Include zones check box -->
        <IntVectorProperty
            name="IncludeZones"
            command="SetIncludeZones"
            number_of_elements="1"
            default_values="0">
            <BooleanDomain
                name="bool"/>
        </IntVectorProperty>

<!-- Show patch names check box -->
        <IntVectorProperty
            name="ShowPatchNames"
            command="SetShowPatchNames"
            number_of_elements="1"
            default_values="0">
            <BooleanDomain name="bool"/>
        </IntVectorProperty>

<!-- Available regions array -->
        <StringVectorProperty
            name="RegionArrayInfo"
            information_only="1">
            <ArraySelectionInformationHelper
                attribute_name="Region"/>
        </StringVectorProperty>
        <StringVectorProperty
            name="RegionStatus"
            command="SetRegionArrayStatus"
            number_of_elements="0"
            repeat_command="1"
            number_of_elements_per_command="2"
            element_types="2 0"
            information_property="RegionArrayInfo">
            <ArraySelectionDomain
                name="array_list">
                <RequiredProperties>
                    <Property name="RegionArrayInfo"
                              function="ArrayList"/>
                </RequiredProperties>
            </ArraySelectionDomain>
        </StringVectorProperty>

<!-- Available volFields array -->
        <StringVectorProperty
            name="VolFieldArrayInfo"
            information_only="1">
            <ArraySelectionInformationHelper
                attribute_name="VolField"/>
        </StringVectorProperty>
        <StringVectorProperty
            name="VolFieldStatus"
            command="SetVolFieldArrayStatus"
            number_of_elements="0"
            repeat_command="1"
            number_of_elements_per_command="2"
            element_types="2 0"
            information_property="VolFieldArrayInfo">
            <ArraySelectionDomain
                name="array_list">
                <RequiredProperties>
                    <Property name="VolFieldArrayInfo"
                              function="ArrayList"/>
                </RequiredProperties>
            </ArraySelectionDomain>
        </StringVectorProperty>

<!-- Available pointFields array -->
        <StringVectorProperty
            name="PointFieldArrayInfo"
            information_only="1">
            <ArraySelectionInformationHelper
                attribute_name="PointField"/>
        </StringVectorProperty>
        <StringVectorProperty
            name="PointFieldStatus"
            command="SetPointFieldArrayStatus"
            number_of_elements="0"
            repeat_command="1"
            number_of_elements_per_command="2"
            element_types="2 0"
            information_property="PointFieldArrayInfo">
            <ArraySelectionDomain
                name="array_list">
                <RequiredProperties>
                    <Property name="PointFieldArrayInfo"
                              function="ArrayList"/>
                </RequiredProperties>
            </ArraySelectionDomain>
        </StringVectorProperty>

<!-- Available Lagrangian fields array -->
        <StringVectorProperty
            name="LagrangianFieldArrayInfo"
            information_only="1">
            <ArraySelectionInformationHelper
                attribute_name="LagrangianField"/>
        </StringVectorProperty>
        <StringVectorProperty
            name="LagrangianFieldStatus"
            command="SetLagrangianFieldArrayStatus"
            number_of_elements="0"
            repeat_command="1"
            number_of_elements_per_command="2"
            element_types="2 0"
            information_property="LagrangianFieldArrayInfo">
            <ArraySelectionDomain
                name="array_list">
                <RequiredProperties>
                    <Property name="LagrangianFieldArrayInfo"
                              function="ArrayList"/>
                </RequiredProperties>
            </ArraySelectionDomain>
        </StringVectorProperty>

<!-- Cache mesh check box -->
        <IntVectorProperty
            name="CacheMesh"
            command="SetCacheMesh"
            number_of_elements="1"
            default_values="1">
            <BooleanDomain
                name="bool"/>
        </IntVectorProperty>

<!-- Update GUI check box -->
        <IntVectorProperty
            name="UpdateGUI"
            command="SetUpdateGUI"
            number_of_elements="1"
            default_values="0">
            <BooleanDomain
                name="bool"/>
        </IntVectorProperty>

    </SourceProxy>
    </ProxyGroup>
</ServerManagerConfiguration>
